// ==UserScript==
// @name        Dagbladet noblink
// @namespace   snake66
// @description Remove annoying blinking backgrounds and animated marquees at dagbladet.no.
// @include     https://*.dagbladet.no/*
// @include     https://*.dinside.no/*
// @version     5
// @grant       none
// ==/UserScript==

let blink_classes = [
  'breaking-dots',
  'breaking-just-now-slug',
  'breaking--just-now',
  'breaking--just-now-wave',
  'breaking--just-now-wave-blink',
  'breaking--pulse-background',
  'breaking--pulse-kicker',
  'breaking--pulsating-dots',
  'pulse'
]

function dagbladet_noblink()
{
  for (let cls of blink_classes) {
    for (let blinker of document.getElementsByClassName(cls)) {
      //console.log("Disabling marquee on " + blinker.nodeName + " - " + blinker.nodeId)
      blinker.classList.remove(cls)
    }
  }
}

let dagbladet_obsrvr = new MutationObserver(dagbladet_noblink)
dagbladet_obsrvr.observe(document, { attributes: true, childList: true, subtree: true })// ==UserScript==
